
Ruby - Bug #20217

void value not checked for begin/ensure/rescue

01/26/2024 06:52 PM - kddnewton (Kevin Newton)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 3.0: UNKNOWN, 3.1: UNKNOWN, 3.2:

UNKNOWN, 3.3: UNKNOWN

Description

foo = begin

  return

ensure

end

 I would expect this to raise a syntax error for a void value expression being assigned, but the ensure makes it so that this isn't

checked.

Associated revisions

Revision fed877c791f1c16a2b1a2c9a167b7f433505794d - 01/28/2024 09:44 AM - nobu (Nobuyoshi Nakada)

[Bug #20217] return with ensure is a void value expression

Revision 5f733a1ae7e5fd20d4cba61af5408b33204fe8fc - 01/28/2024 09:44 AM - nobu (Nobuyoshi Nakada)

[Bug #20217] rescue block is void only if all children are void

Revision fed877c791f1c16a2b1a2c9a167b7f433505794d - 01/28/2024 09:44 AM - nobu (Nobuyoshi Nakada)

[Bug #20217] return with ensure is a void value expression

Revision 5f733a1ae7e5fd20d4cba61af5408b33204fe8fc - 01/28/2024 09:44 AM - nobu (Nobuyoshi Nakada)

[Bug #20217] rescue block is void only if all children are void

Revision fed877c7 - 01/28/2024 09:44 AM - nobu (Nobuyoshi Nakada)

[Bug #20217] return with ensure is a void value expression

Revision 5f733a1a - 01/28/2024 09:44 AM - nobu (Nobuyoshi Nakada)

[Bug #20217] rescue block is void only if all children are void

History

#1 - 01/28/2024 10:11 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset git|fed877c791f1c16a2b1a2c9a167b7f433505794d.
